org.apache.http.conn.params

## Class ConnManagerParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.conn.params.ConnManagerParamBean

- Deprecated.
  (4.1) use configuration methods of the specific connection manager implementation.

      @Deprecated
      public class ConnManagerParamBean
      extends org.apache.http.params.HttpAbstractParamBean

  This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate connection manager parameters using Java Beans conventions.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

      `params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnManagerParamBean(org.apache.http.params.HttpParams params)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setConnectionsPerRoute(ConnPerRouteBean connPerRoute)` Deprecated.
    `void` | `setMaxTotalConnections(int maxConnections)` Deprecated.
    `void` | `setTimeout(long timeout)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnManagerParamBean

          public ConnManagerParamBean(org.apache.http.params.HttpParams params)

      Deprecated.

  - ### Method Detail

    - #### setTimeout

          public void setTimeout(long timeout)

      Deprecated.

    - #### setMaxTotalConnections

          public void setMaxTotalConnections(int maxConnections)

      Deprecated.

    - #### setConnectionsPerRoute

          public void setConnectionsPerRoute(ConnPerRouteBean connPerRoute)

      Deprecated.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.